Debian Bug report logs - #604551
should schedule auxiliary packages for installation

version graph

Package: live-build; Maintainer for live-build is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-build is src:live-build.

Reported by: daniel@debian.org

Date: Sat, 20 Nov 2010 14:24:02 UTC

Severity: serious

Fixed in versions live-build/2.0.7-1, live-build/3.0~a7-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#604126; Package live-installer. (Sat, 20 Nov 2010 14:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
New Bug report received and forwarded. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sat, 20 Nov 2010 14:24:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-installer: needs to install lvm when lvm is selected
Date: Sat, 20 Nov 2010 15:20:37 +0100
Package: live-installer
Severity: serious

when the users chooses to use lvm, and the live system doesn't contain
lvm, we end up with an unbootable system..

somewhere, this should be accounted for, so that such auxilliary
packages are tracked and manually installed after the image has been
unpacked to target.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#604126; Package live-installer. (Mon, 22 Nov 2010 19:45:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Mon, 22 Nov 2010 19:45:10 GMT) Full text and rfc822 format available.

Message #10 received at 604126@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 604126@bugs.debian.org
Subject: Re: live-installer: needs to install lvm when lvm is selected
Date: Mon, 22 Nov 2010 20:43:10 +0100
retitle 604126 should schedule auxiliary packages for installation
tag 604126 pending
clone 604126 -1
reassign -1 live-build
tag -1 pending
thanks

needs fixes in both live-installer and live-build, both have been
updated in svn resp. git.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Changed Bug title to 'should schedule auxiliary packages for installation' from 'live-installer: needs to install lvm when lvm is selected' Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Mon, 22 Nov 2010 19:45:12 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Mon, 22 Nov 2010 19:45:12 GMT) Full text and rfc822 format available.

Bug 604126 cloned as bug 604551. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Mon, 22 Nov 2010 19:45:13 GMT) Full text and rfc822 format available.

Bug reassigned from package 'live-installer' to 'live-build'. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Mon, 22 Nov 2010 19:45:14 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Mon, 22 Nov 2010 23:24:26 GMT) Full text and rfc822 format available.

Notification sent to daniel@debian.org:
Bug acknowledged by developer. (Mon, 22 Nov 2010 23:24:26 GMT) Full text and rfc822 format available.

Message #23 received at 604551-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 604551-close@bugs.debian.org
Subject: Bug#604551: fixed in live-build 2.0.7-1
Date: Mon, 22 Nov 2010 23:21:58 +0000
Source: live-build
Source-Version: 2.0.7-1

We believe that the bug you reported is fixed in the latest version of
live-build, which is due to be installed in the Debian FTP archive:

live-build-cgi_2.0.7-1_all.deb
  to main/l/live-build/live-build-cgi_2.0.7-1_all.deb
live-build_2.0.7-1.diff.gz
  to main/l/live-build/live-build_2.0.7-1.diff.gz
live-build_2.0.7-1.dsc
  to main/l/live-build/live-build_2.0.7-1.dsc
live-build_2.0.7-1_all.deb
  to main/l/live-build/live-build_2.0.7-1_all.deb
live-build_2.0.7.orig.tar.gz
  to main/l/live-build/live-build_2.0.7.orig.tar.gz
live-helper_2.0.7-1_all.deb
  to main/l/live-build/live-helper_2.0.7-1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 604551@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-build package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 22 Nov 2010 23:13:43 +0100
Source: live-build
Binary: live-build live-build-cgi live-helper
Architecture: source all
Version: 2.0.7-1
Distribution: unstable
Urgency: medium
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-build - Debian Live - System Build Scripts
 live-build-cgi - Debian Live - System Build Scripts (cgi frontend)
 live-helper - Debian Live - System Build Scripts (transitional package)
Closes: 604027 604551
Changes: 
 live-build (2.0.7-1) unstable; urgency=medium
 .
   [ Daniel Baumann ]
   * Enabling volatile for squeeze.
   * Updating volatile urls for squeeze.
 .
   [ Richard Nelson ]
   * Cleanup l-b.cgi header file to reflect Live Build.
 .
   [ Daniel Baumann ]
   * Removing apt-mirror-setup from udeb_exclude (Closes: #604027).
   * Removing cdrom-detect/try-usb workaround, not needed anymore.
   * Correcting quoting of auto calls, thanks to Andreas Loibl
     <andreas@andreas-loibl.de>.
   * Also including auxiliary packages in d-i pool (Closes: #604551).
   * Enabling removal of ssh host keys, they are regenerated by live-
     config.
   * Simplyfing ssh host key removal.
Checksums-Sha1: 
 c977a107de53cab341f10e6951a22a1ccedef753 1261 live-build_2.0.7-1.dsc
 c0b384d99183f9dd38495d3de645c6b7218125c8 2134964 live-build_2.0.7.orig.tar.gz
 a10cecc269ab780aa6c496416a253858cab89155 43789 live-build_2.0.7-1.diff.gz
 c76dfed5ecdee260575b5526bbff0bbbda2e2daa 1191884 live-build_2.0.7-1_all.deb
 c3769cefb709806569c916f78cc840b55ceb28d1 60952 live-build-cgi_2.0.7-1_all.deb
 6985409d7347294de4bd784c450ba60e58196390 56276 live-helper_2.0.7-1_all.deb
Checksums-Sha256: 
 e8d8b026530b5e679bf11c23fa3fd7de1c9a54f3d3fac77919933b16a95457cb 1261 live-build_2.0.7-1.dsc
 0f454b9c439f0c8a6f11d60d266b146cb4eb9ba154de99056545876b841aed7c 2134964 live-build_2.0.7.orig.tar.gz
 69e6a431300cc226f4825fea93ddd4ccaae86dcf214ef08375420961c79ead0a 43789 live-build_2.0.7-1.diff.gz
 b2d953904d6fb42f9dfcac32c47df0e57e7ed235c0094dcacfcce061a1b8d43d 1191884 live-build_2.0.7-1_all.deb
 ec0c6984831b67f93632b52a2bc5aa518b6ec0714bd2511002ae9ae562d912b3 60952 live-build-cgi_2.0.7-1_all.deb
 8f5359ec52ae7b0ab9611ea6019206efb49158ff92f8ba89ea4fe051c3b1cd95 56276 live-helper_2.0.7-1_all.deb
Files: 
 46620205ea0c3d03a6691e9f16c557af 1261 misc optional live-build_2.0.7-1.dsc
 b06583d89e3fccc83138ab4399c97097 2134964 misc optional live-build_2.0.7.orig.tar.gz
 a81a851a3273dd306fc3d232586f9de4 43789 misc optional live-build_2.0.7-1.diff.gz
 809269d0051a3f9ebadf8ff44862394b 1191884 misc optional live-build_2.0.7-1_all.deb
 b44a5a728323705c45d2800edeecbcfa 60952 misc optional live-build-cgi_2.0.7-1_all.deb
 e3b76356fde8b8ef52fe0d493c261941 56276 misc optional live-helper_2.0.7-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkzq6/AACgkQ+C5cwEsrK55khACgmpOmitD5iK+SEtmuPURl8uQs
oh8An3T/crXNLBIKrxz6DiBnEuqb1DfT
=62Lp
-----END PGP SIGNATURE-----





Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Mon, 22 Nov 2010 23:24:28 GMT) Full text and rfc822 format available.

Notification sent to daniel@debian.org:
Bug acknowledged by developer. (Mon, 22 Nov 2010 23:24:28 GMT) Full text and rfc822 format available.

Message #28 received at 604551-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 604551-close@bugs.debian.org
Subject: Bug#604551: fixed in live-build 3.0~a7-1
Date: Mon, 22 Nov 2010 23:22:09 +0000
Source: live-build
Source-Version: 3.0~a7-1

We believe that the bug you reported is fixed in the latest version of
live-build, which is due to be installed in the Debian FTP archive:

live-build-cgi_3.0~a7-1_all.deb
  to main/l/live-build/live-build-cgi_3.0~a7-1_all.deb
live-build_3.0~a7-1.debian.tar.gz
  to main/l/live-build/live-build_3.0~a7-1.debian.tar.gz
live-build_3.0~a7-1.dsc
  to main/l/live-build/live-build_3.0~a7-1.dsc
live-build_3.0~a7-1_all.deb
  to main/l/live-build/live-build_3.0~a7-1_all.deb
live-build_3.0~a7.orig.tar.gz
  to main/l/live-build/live-build_3.0~a7.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 604551@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-build package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 22 Nov 2010 23:22:15 +0100
Source: live-build
Binary: live-build live-build-cgi
Architecture: source all
Version: 3.0~a7-1
Distribution: experimental
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-build - Debian Live - System Build Scripts
 live-build-cgi - Debian Live - System Build Scripts (cgi frontend)
Closes: 604027 604551
Changes: 
 live-build (3.0~a7-1) experimental; urgency=low
 .
   [ Daniel Baumann ]
   * Enabling volatile for squeeze.
   * Updating volatile urls for squeeze.
 .
   [ Richard Nelson ]
   * Cleanup l-b.cgi header file to reflect Live Build.
 .
   [ Daniel Baumann ]
   * Removing apt-mirror-setup from udeb_exclude (Closes: #604027).
   * Renaming --binary-indices to --apt-indices for consistency.
   * Using bootloader-live in syslinux-themes, rather than just
     bootloader, since it's live specific.
   * Removing cdrom-detect/try-usb workaround, not needed anymore.
   * Correcting quoting of auto calls, thanks to Andreas Loibl
     <andreas@andreas-loibl.de>.
   * Also including auxiliary packages in d-i pool (Closes: #604551).
   * Simplyfing ssh host key removal.
   * Adding dpkg source options file.
Checksums-Sha1: 
 07ff6bbd888e7c65e5c85e156ff2fad89314e260 1275 live-build_3.0~a7-1.dsc
 060a13d68b25011774877ef424ceefd78b611e43 1969401 live-build_3.0~a7.orig.tar.gz
 1f022ce4c32d19dc832a6b0d417039f4f6ec3e37 37570 live-build_3.0~a7-1.debian.tar.gz
 89795cc4f034ce360714fe25f508652966c93196 1122838 live-build_3.0~a7-1_all.deb
 e5ae4641e02e0799b1095f283828eaca28aa07db 53932 live-build-cgi_3.0~a7-1_all.deb
Checksums-Sha256: 
 3c81a2d22ce5301103c99b0de02d1fb226baa721626977dff30ce50d388b9979 1275 live-build_3.0~a7-1.dsc
 12ea2e33f6899ab70d8394cd5ecafc6ff1c779e6b797b4ccac98f29ece147fb3 1969401 live-build_3.0~a7.orig.tar.gz
 835d012915fc777f552e94b1caef9cd6651096e402013e148f5dfee3e82049da 37570 live-build_3.0~a7-1.debian.tar.gz
 c44e7402d8f94abf4a0d4f4b5d7b31578a3a8875545357a08c85971a8af38406 1122838 live-build_3.0~a7-1_all.deb
 222252bc5717cc45497a6663e40264cadfddad522b02f265f8f246d212c1a6ed 53932 live-build-cgi_3.0~a7-1_all.deb
Files: 
 48ff6ed931bb8521520cca6937ec260b 1275 misc optional live-build_3.0~a7-1.dsc
 fe02d38c761dbae84993a39870d39a8e 1969401 misc optional live-build_3.0~a7.orig.tar.gz
 018479a05396d1123669d8e0c33c371d 37570 misc optional live-build_3.0~a7-1.debian.tar.gz
 2b80d7ba7d04eb5ee37316e38b28af36 1122838 misc optional live-build_3.0~a7-1_all.deb
 5d880de8e4f91e9f1ae2d2ef178ed1cc 53932 misc optional live-build-cgi_3.0~a7-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkzq7lMACgkQ+C5cwEsrK57SDwCfTglrot65U8MibwKVPkH6KszK
6JwAoM7oEOXCv8829vrDnxA7JQsduCdx
=L6Dt
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 26 Dec 2010 07:35:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 16:43:50 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.